#include <iostream>


/*
  Un exemple de ce qu'il faudrait faire pour manipuler les complexes sans classes.
  Ici, on veut calculer le carre d'un nombre complexe donne.
  
  Le resultat est peu lisible. En fait, tout ce qui peut etre fait avec les classes
  pourrait aussi etre fait sans. La difference est que le resultat serait moins
  lisible, plus dur a ecrire et plus dur a verifier.
*/



// Fonction calculant le carre de x+iy, en l'ecrivant dans carre_x + i carre_y
// (x+iy)^2 = x^2-y^2 + 2ixy
void carre(double x, double y, double &carre_x, double &carre_y)
{
  carre_x = x*x-y*y;
  carre_y = 2*x*y;
}



int main(void)
{
  double x=1, y=2; // On "definit" le complexe 1+2i.
  double x2,y2;
  carre(x,y,x2,y2);
  std::cout << "Le carre de " << x << "+" << y << "i est " << x2 << "+" << y2 << "i.\n";
  return 0;  
}
